unit laskuriform;
(*
   Autolaskuri, versio n.n.
   Esimerkki monikielistmisest resurssiDll-tiedoston avulla
   ja format-funktiolla.

   Miika Nurminen, 26.8.2004

   Monikielistminen ResurssiDll-tiedoston avulla:

     1. Valitse File -> New -> Other -> Resource DLL Wizard
     2. Kelaa Wizardia eteenpin, kunnes voit valita kielet.
        Valitse esim. English (UK) ja kelaa wizard loppuun.
     3. Delphi ehdottaa tiedostojen tallennusta project groupiin.
        Tallenna projektiryhm esim. samaan hakemistoon kuin
        alkuperinen ohjelma.
     3. Esille tulee Translation manager, jolla voit hallita
        eri lomakkeilla ja resursseissa olevia merkkijonona.
        Translation managerin saat uudelleen nkyviin valikosta
        Edit -> Translation manager
     4. Sovelluksen merkkijonot ovat Workspace-vlilehdell
        olevan puun vierell.
        Lomakkeen tiedot ovat puun Forms-solmun alla,
        resurssitiedot (resources.pas-tiedosto) ovat
        resource scripts-solmun alla.
     5. Pivitysten nkyminen lomakkeilla voi vaatia projektin
        sulkemista ja avaamista uudelleen.
     6. DLL-tiedostot voi knt kerralla esim. valitsemalla
        Project managerin ponnahdusvalikosta jonkin projektin
        kohdalta build all from here. DLL-tiedostojen ptteet
        ovat kieliympristjen mukaisia (.ENG, .FIN ...)
     7. Kehitysaikana aktiivisen kielen voi valita
        Project -> Languages -> Set Active...
        Muuten kieli valitaan automaattisesti saatavilla olevien
        DLL-tiedostojen ja kyttjn kieliympristn mukaan.
        Jos kyttoikeutesi riittvt, kokeile vaihtaa kieli-
        ymprist Control panelista (Regional options -> Your locale)
     8. Jos projektiin listn uusia monikielistettvi
        resursseja, resource DLL wizard on ajettava uudelleen.


*)
interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, LisaaButton, laskuri;

type
  TFormLaskuri = class(TForm)
    Laskuri1: TLaskuri;
    Laskuri2: TLaskuri;
    LisaaButton1: TLisaaButton;
    LisaaButton2: TLisaaButton;
    Label1: TLabel;
    procedure FormCreate(Sender: TObject);
    procedure LaskuriChange(sender: TLaskuri; diff: Integer);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FormLaskuri: TFormLaskuri;

implementation

uses resources;

{$R *.dfm}

procedure TFormLaskuri.FormCreate(Sender: TObject);
begin
  Caption := resources.ProductName + ' - v' + resources.Version;
  LaskuriChange(nil,0); // pivitt tekstin
end;

procedure TFormLaskuri.LaskuriChange(sender: TLaskuri; diff: Integer);
begin
  // formatoitu tulostus. formatoitavat muuttujat annetaan taulukossa
  // vrt c:n printf
  Label1.Caption := Format(resources.SumString+'.',[Laskuri1.Count+Laskuri2.Count]);
end;

end.
